This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 57420 - Kernel fails to compile, __setup() macro undefined.
Kernel fails to compile, __setup() macro undefined.
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-12-11 20:31 EST by David Warme
Modified: 2007-04-18 12:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-07 19:27:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Transcript of kernel build session. (159.92 KB, text/plain)
2001-12-11 20:36 EST, David Warme
no flags Details

  None (edit)
Description David Warme 2001-12-11 20:31:13 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.01; Windows NT)

Description of problem:
Kernel 2.2.16 does not compile -- reference to
undefined '__setup()' macro.  Several kernel sources
use a __setup() macro that appears to be a Linux 2.4
construct (i.e., its defined in /usr/include/linux/init.h
(which are version 2.4 kernel headers), but not in the
linux/init.h shipped with the 2.2.16 headers).

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. See attachment for a transcript of the build steps.
2. Yes, I'm using kgcc.
3. Yes, I'm doing "make oldconfig; make dep; make".
	

Actual Results:  See attached transcript.

Additional info:
Comment 1 David Warme 2001-12-11 20:36:49 EST
Created attachment 40393 [details]
Transcript of kernel build session.
Comment 2 Arjan van de Ven 2001-12-13 04:33:25 EST
Can you try the 2.2.19 errata kernel instead ? I added the __setup() macro to
that one (well 2.2.18 but it's also in 2.2.19)

Note You need to log in before you can comment on or make changes to this bug.